package com.upyuns.platform.rs.website.controller.web;

import com.github.wxiaoqi.security.auth.client.annotation.IgnoreUserToken;
import com.github.wxiaoqi.security.common.msg.ObjectRestResponse;
import com.github.wxiaoqi.security.common.rest.BaseController;
import com.upyuns.platform.rs.website.biz.ImageImgStorageBiz;
import com.upyuns.platform.rs.website.dto.ImageInformationStorageDto;
import com.upyuns.platform.rs.website.entity.ImageImgStorage;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("imageImgStorage/web")
public class ImageImgStorageWebController extends BaseController<ImageImgStorageBiz,ImageImgStorage> {

	@GetMapping(value = "/app/unauth/getDetail/{id}")
	@IgnoreUserToken
	public ObjectRestResponse getDetail(@PathVariable Integer id) {
		return baseBiz.getDetail(id);
	}

	@GetMapping(value = "/app/unauth/getAll")
	@IgnoreUserToken
	public ObjectRestResponse getAll(Integer type) {
		return baseBiz.getAll(type);
	}

	@GetMapping(value = "/app/unauth/getList")
	public ObjectRestResponse getList(ImageInformationStorageDto imageInformationStorageDto) {
		return baseBiz.selectList(imageInformationStorageDto, 2);
	}
}